AgentReportStatus (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.server.session.AgentReportStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.server.session
Class AgentReportStatus

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.autoinventory.server.session.AgentReportStatus

All Implemented Interfaces:
  java.io.Serializable

    public class AgentReportStatus

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `AgentReportStatus()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Agent` | `getAgent()`
`long` | `getReportTime()`
`boolean` | `getServiceDirty()`
`int` | `hashCode()`
`protected void` | `setAgent(Agent a)`
`protected void` | `setReportTime(long time)`
`protected void` | `setServiceDirty(boolean t)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentReportStatus

    protected AgentReportStatus()

Method Detail

### getAgent

    public Agent getAgent()

### setAgent

    protected void setAgent(Agent a)

### getReportTime

    public long getReportTime()

### setReportTime

    protected void setReportTime(long time)

### getServiceDirty

    public boolean getServiceDirty()

### setServiceDirty

    protected void setServiceDirty(boolean t)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.